Move wikiba.se repository from github to gerrit
Closed, ResolvedPublic

Description

Currently it's in https://github.com/wmde/Wikiba.se but it should be moved to gerrit as a requirement of moving this into wmf infra

Restricted Application added a project: User-Ladsgroup. · View Herald TranscriptJul 20 2017, 12:27 PM
Ladsgroup updated the task description. (Show Details)Jul 20 2017, 7:15 PM
Ladsgroup updated the task description. (Show Details)
hashar added a subscriber: hashar.Jul 21 2017, 9:10 AM

There is already a /wikibase project, so maybe /wikibase/www or /wikibase/wikibase.se It is all up to you :]

Let's go with /wikibase/wikiba.se :)

Ladsgroup updated the task description. (Show Details)Jul 21 2017, 10:40 AM

Mentioned in SAL (#wikimedia-releng) [2017-07-21T10:46:47Z] <hashar> Gerrit: created wikibase/wikibase.se repo for Amir1 / T171160

I have created the repo and imported all references from github (including pull requests refs, though they are not recognized as changes by gerrit):

git clone --mirror https://github.com/wmde/wikiba.se
cd wikiba.se.git/
git remote add gerrit ssh://hashar@gerrit.wikimedia.org:29418/wikibase/wikibase.se.git
git push gerrit --mirror
$ git ls-remote https://gerrit.wikimedia.org/r/wikibase/wikibase.se
2059b989a9f1f5e5002bcbc59570e6769fd74536	HEAD
2059b989a9f1f5e5002bcbc59570e6769fd74536	refs/heads/master
83c0293b4fb3d37b964055f01ad46eb04661c044	refs/heads/wikibase
faa75336078f98129e7cbf1630a97cab2ef0fdf7	refs/meta/config
9674c1e6c234a357c37367d83ee35a8f813f6c39	refs/pull/1/head
9a8447b278573bd11f721cd7b1db94ec4576949d	refs/pull/10/head
cb372501fb71efe7273796a937cc60cf92e3b6c6	refs/pull/11/head
842f369de684be8a0fa598ba6b412006e129fcc1	refs/pull/18/head
2271629aa8ec3cf5767fb8e827f6b2d69b64f744	refs/pull/23/head
3507c7b53eba965dc460090c17317a976644fbd1	refs/pull/24/head
1d15472024e8b32abfb64f936cd3f3d7c8caca7e	refs/pull/25/head
e3c08cd0c754674d53e24c6ff30bbf0f894113ca	refs/pull/25/merge
4c74d77d60895c08a9c8ae58ee04c9d3bfdd68fa	refs/pull/26/head
2e00241d8f6c7a9b600e38d2d2df1912e3ba03c1	refs/pull/29/head
12e31513014985c9441dfd0a4c628ebef138b6eb	refs/pull/31/head
92187319901f9f1915fa4ecf52ee1622f34dc0a2	refs/pull/34/head
7d488c6a032311768fa3163b943eae2ee81f2167	refs/pull/35/head
e81d94c24b7aa94aaedb2587f9958581ea812c0b	refs/pull/37/head
0d5f990da96fd037a5451eddf30554c6685ea046	refs/pull/38/head
66cf98e435bf49e7add76a5662cef0d6527bc2fa	refs/pull/39/head
855a228a0158254730cb38cfbe2ea664f370187c	refs/pull/39/merge
f9805d3536be58b28aeae1178dc21dae064269d1	refs/pull/40/head
db80959d02ac6e9bd09eda891dc404d10897662f	refs/pull/41/head
68fd26301a6e0751222d9c9c68bac7b5034793c0	refs/pull/42/head
b5f328c061544df8ee7b4b7db3e1f53c5315a18f	refs/pull/43/head
088fa1eaaf1d127195387ff1eb6a77f01d602ec2	refs/pull/44/head
6505dfb4a19cbfe03b276365c4b43383ce0e14d3	refs/pull/45/head
5c4a3593cf4f618f0e777aea6a42d6fa048110ea	refs/pull/47/head
3ace7e017b389c0babe01d841d11ea87f5020e9c	refs/pull/49/head
ec8ea4f6a718d69a4c8704de7f49244b7f0242ba	refs/pull/50/head
b940c8c99877d5f3744211fd31c6fd721c5e815d	refs/pull/51/head
087adb82c6dde4ddfad9cdd045f35187b335183d	refs/pull/51/merge
7ec4d241c89b824e7ac78f0c496db707d21309fe	refs/pull/52/head
b64309af287a88590f409424e2b0703d387b800f	refs/pull/52/merge
6c89870be7cc7c56eb62985734ffade2ef9206fb	refs/pull/53/head
87d5874d829c96e9653704653339e33a19582a2a	refs/pull/53/merge
1ead19077cababd673a1987f19883582a46714a2	refs/pull/54/head
68ae89d67b6cc891d11746bfad405bb8b8078b0b	refs/pull/55/head
17a86d0ce5b7c021efc786782bc8f1d60951fc4a	refs/pull/56/head
7423fa6276d2f251d0008bf0c8ddab075a07470f	refs/pull/57/head
3fce39d08e77a8fb618a2c25e183204d1d10d07a	refs/pull/58/head
e1e6d872391f5919bdf879cd76ff2e6372cd0cc5	refs/pull/61/head
122cfd8e0146a6e46e73b105fe444107d9d87b9c	refs/pull/62/head
7bf3b596fec80a824eedf1c8f304f81f5fe190fd	refs/pull/63/head
b05e00e0220bf950eb4af65f0f370c6c3079b39f	refs/pull/64/head
b75bbfdbb6112bbdfeb0b18a16038bcdc1b39829	refs/pull/65/head
a455ba14295b3988e6458d926b7ffa204d41aee0	refs/pull/65/merge
721f7f4b9c95da4431f93820e2cdd0fbc7baf1cd	refs/pull/66/head
0d77975e3ac4d6dc779761915d80e75792785f90	refs/pull/7/head
c8312ee30a70baea20e9dbdf60c3f5c81988feb4	refs/pull/8/head
5c6cd5c54c8cacaa9e60c88a011c072bf1d17f8d	refs/pull/9/head

Change 366835 had a related patch set uploaded (by Ladsgroup; owner: Amir Sarabadani):
[wikibase/wikibase.se@master] Add .gitreview

https://gerrit.wikimedia.org/r/366835

I created the repo in Gerrit with the wrong name, thus I have marked the repo hidden and recreated it as wikibase/wikiba.se.git

Change 366841 had a related patch set uploaded (by Ladsgroup; owner: Amir Sarabadani):
[wikibase/wikiba.se@master] Add .gitreview

https://gerrit.wikimedia.org/r/366841

Change 366843 had a related patch set uploaded (by Ladsgroup; owner: Amir Sarabadani):
[wikibase/wikiba.se@master] Remove "minimum-stability": "dev" from composer.json

https://gerrit.wikimedia.org/r/366843

Change 366841 merged by Ladsgroup:
[wikibase/wikiba.se@master] Add .gitreview

https://gerrit.wikimedia.org/r/366841

Change 366847 had a related patch set uploaded (by Hashar; owner: Hashar):
[integration/config@master] wikiba.se

https://gerrit.wikimedia.org/r/366847

Change 366847 merged by jenkins-bot:
[integration/config@master] wikiba.se

https://gerrit.wikimedia.org/r/366847

Change 366848 had a related patch set uploaded (by Hashar; owner: Hashar):
[integration/config@master] Fix wikiba.se repo name in Zuul

https://gerrit.wikimedia.org/r/366848

Change 366848 merged by jenkins-bot:
[integration/config@master] Fix wikiba.se repo name in Zuul

https://gerrit.wikimedia.org/r/366848

Change 366843 merged by Hashar:
[wikibase/wikiba.se@master] Remove "minimum-stability": "dev" from composer.json

https://gerrit.wikimedia.org/r/366843

hashar updated the task description. (Show Details)Jul 21 2017, 2:10 PM
Restricted Application added a subscriber: PokestarFan. · View Herald TranscriptJul 21 2017, 2:10 PM

Change 366854 had a related patch set uploaded (by Ladsgroup; owner: Amir Sarabadani):
[wikibase/wikiba.se@master] Fix composer tests

https://gerrit.wikimedia.org/r/366854

Ladsgroup moved this task from Proposed to Review on the Wikidata-Sprint board.
Ladsgroup updated the task description. (Show Details)

Change 366854 merged by jenkins-bot:
[wikibase/wikiba.se@master] Fix composer tests

https://gerrit.wikimedia.org/r/366854

Aleksey_WMDE moved this task from Review to Doing on the Wikidata-Sprint board.Jul 24 2017, 10:25 AM
Ladsgroup updated the task description. (Show Details)
Ladsgroup updated the task description. (Show Details)Jul 25 2017, 9:14 PM
Ladsgroup moved this task from Doing to Done on the Wikidata-Sprint board.
Ladsgroup closed this task as Resolved.
Ladsgroup removed a project: Patch-For-Review.

Well done @Ladsgroup

antoine-approve